import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ArrowLeftIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'ArrowLeft'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M19 11H7.83l4.88-4.88c.39-.39.39-1.03 0-1.42a.996.996 0 00-1.41 0l-6.59 6.59a.996.996 0 000 1.41l6.59 6.59a.996.996 0 101.41-1.41L7.83 13H19c.55 0 1-.45 1-1s-.45-1-1-1z'}
      fill={color}
    />
  </Svg>
);
