import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const DetailsUpIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'DetailsUp'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M6.972 16h10.056c.767 0 1.233-.686.815-1.214l-5.028-6.42c-.378-.488-1.252-.488-1.64 0l-5.018 6.42c-.418.528.048 1.214.815 1.214z'}
      fill={color}
    />
  </Svg>
);
