export enum autoCapitalizeTypesEnum {
  NONE = 'none',
  SENTENCES = 'sentences',
  WORDS = 'words',
  CHARACTERS = 'characters',
}

export enum keyboardTypesEnum {
  DEFAULT = 'default',
  NUMBER_PAD = 'number-pad',
  DECIMAL_PAD = 'decimal-pad',
  NUMERIC = 'numeric',
  EMAIL_ADDRESS ='email-address',
  PHONE_PAD = 'phone-pad',
  URL = 'url',
}

export type autoCapitalizeTypes = 'none' | 'sentences' | 'words' | 'characters';

export type keyboardTypes = 'default' | 'number-pad' | 'decimal-pad' | 'numeric' | 'email-address' | 'phone-pad' | 'url';

export interface TextInputModels {
  autoCapitalize?: autoCapitalizeTypes;
  isError?: boolean;
  isDisabled?: boolean;
  isAutoFocus?: boolean;
  isSecureTextEntry?: boolean;
  maxLength?: number;
  errorText?: string;
  defaultValue?: string;
  keyboardType?: keyboardTypes;
  placeholder?: string;
  onChangeText?: (val: string) => string | void;
}
