import React, { FC } from 'react';
import { ScrollView } from 'react-native';
import { styles } from './styles';

interface Props {
  children?: JSX.Element | JSX.Element[];
  backgroundColor?: string;
  scrollEnabled?: boolean;
}

export const ContentWrapper: FC<Props> = ({
  children,
  backgroundColor = styles.contentWrapper.backgroundColor,
  scrollEnabled = true,
}) => {
  return (
    <ScrollView scrollEnabled={scrollEnabled} style={[styles.contentWrapper,{ backgroundColor }]}>
      {children}
    </ScrollView>
  );
};
