import React, { FC } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { AtomIcon,
  Body2RegularText,
  LabelSemiBoldText } from '../../../atoms';
import { styles } from './styles';

interface Props {
  onClick?: () => void;
  disabled?: boolean;
  text?: string;
  description?: string;
  Icon?: React.FC;
}

export const TextDescriptionIconButton: FC<Props> = ({
  onClick,
  disabled,
  text,
  description,
  Icon= AtomIcon,
}) => {
  return (
    <TouchableOpacity
      disabled={disabled}
      onPress={onClick}
      style={styles.textDescriptionIconButton}
    >
      <>
        <View style={styles.textDescriptionIconButtonContainer}>
          <View style={styles.textDescriptionIconButtonTextContainer}>
            <LabelSemiBoldText numberOfLines={1} color={styles.textDescriptionIconButtonTextContainer.text.color}>
              {text}
            </LabelSemiBoldText>
            <Body2RegularText
              numberOfLines={1}
              color={styles.textDescriptionIconButtonTextContainer.description.color}
            >
              {description}
            </Body2RegularText>
          </View>
          <View style={styles.textDescriptionIconButtonIconContainer}>
            {Icon && <Icon height={32} width={32}/>}
          </View>
        </View>
      </>
    </TouchableOpacity>
  );
};
