import React, { FC } from 'react';
import { LabelMediumText, TextInputLarge } from '../../atoms';
import { InputLabelModel } from './inputLabelModels';
import { View } from 'react-native';
import { styles } from './styles';

export const InputLabel: FC<InputLabelModel> = ({
  labelText,
  InputComponent= TextInputLarge,
  ...props
}) => {
  return (
    <>
      <View style={styles.inputLabel}>
        <LabelMediumText numberOfLines={1}>{labelText}</LabelMediumText>
      </View>
      <InputComponent {...props} />
    </>
  );
};
