import React, { FC } from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { ListItemButtonModel } from '../../listItemModels';
import { AtomIcon } from '../../../../atoms';
import { styles } from './styles';

export const DoubleIconTextButton: FC<ListItemButtonModel> = ({
  text,
  disabled,
  LeftIcon= AtomIcon,
  RightIcon= AtomIcon,
  onClick,
}) => {
  return (
    <TouchableOpacity
      disabled={disabled}
      onPress={onClick}
      style={[styles.listItemButton, disabled && styles.listItemButtonDisabled]}
    >
      <View style={styles.listItemButtonContentContainer}>
        <View style={styles.listItemButtonLeftContainer}>
          {LeftIcon &&
          <LeftIcon
            color={disabled ? styles.listItemButtonIconDisabled.color : styles.listItemButtonIcon.color}
            width={24}
            height={24}
          />
          }
          <View style={styles.listItemButtonTextContainer}>
            <Text
              style={[styles.listItemButtonText, disabled && styles.listItemButtonTextDisabled]}
              numberOfLines={1}
            >
              {text}
            </Text>
          </View>
        </View>
        {RightIcon &&
          <RightIcon
            color={disabled ? styles.listItemButtonIconDisabled.color : styles.listItemButtonIcon.color}
            width={24}
            height={24}
          />
        }
      </View>
    </TouchableOpacity>
  );
};
