import React, { FC } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { AtomIcon, Body2MediumText, LabelSemiBoldText } from '../../../../atoms';
import { InfoListItemColorButtonModel } from '../../listItemModels';
import { styles } from './styles';

export const IconTitleDescriptionColorButton: FC<InfoListItemColorButtonModel> = ({
  text,
  description,
  Icon= AtomIcon,
  onClick,
  disabled= false,
  color= styles.iconTitleDescriptionButtonIconColor.color,
},
) => {
  return (
    <TouchableOpacity
      style={[styles.iconTitleDescriptionButton, disabled && styles.iconTitleDescriptionButton.disabled]}
      onPress={onClick}
      disabled={disabled}
    >
      <View style={styles.iconTitleDescriptionButtonIconContainer}>
        <Icon width={32} height={32} color={styles.iconTitleDescriptionButtonIconColor.color} />
      </View>
      <View style={styles.iconTitleDescriptionButtonTextContainer}>
        <LabelSemiBoldText
          numberOfLines={1}
          color={
            disabled
              ? styles.iconTitleDescriptionButtonTextTitleColor.disabled.color
              : styles.iconTitleDescriptionButtonTextTitleColor.color}
        >
          {text}
        </LabelSemiBoldText>
        <Body2MediumText
          numberOfLines={1}
          color={
            disabled
              ? styles.iconTitleDescriptionButtonTextDescriptionColor.disabled.color
              : styles.iconTitleDescriptionButtonTextDescriptionColor.color}
        >
          {description}
        </Body2MediumText>
      </View>
      <View>
        <Icon width={32} height={32} color={color} />
      </View>
    </TouchableOpacity>
  );
};
