import { StyleSheet } from 'react-native';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';
import { getThemeColorByDefaultColor } from '../../../../../utils';

export const styles = StyleSheet.create({
  iconTitleDescriptionButton: {
    height: 76,
    borderRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    flexDirection: 'row',
    alignItems: 'center',
    paddingHorizontal: spacingSizes.medium,
    disabled: {
      backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    },
  },
  iconTitleDescriptionButtonIconContainer: {
    width: '10%',
    marginRight: spacingSizes.medium,
  },
  iconTitleDescriptionButtonIconColor: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  iconTitleDescriptionButtonTextContainer: {
    width: '70%',
    marginRight: spacingSizes.medium,
  },
  iconTitleDescriptionButtonTextTitleColor: {
    color: getThemeColorByDefaultColor('text', 'dark'),
    disabled: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  iconTitleDescriptionButtonTextDescriptionColor: {
    color: getThemeColorByDefaultColor('text', 'default'),
    disabled: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
});
