import { ElementType } from 'react';
import { SvgProps } from '../../../../atoms/icons/icon.model';
import { ShutterLoadingInfoTextModel } from '../../widgetDetailModels';

export type ShutterAction = 'OPEN' | 'CLOSE' | 'UP' | 'DOWN' | 'STOP';
export type ShutterControlPanelValue = 'UP' | 'DOWN' | 'STOP';
export type ShutterFixedValue = 0 | 25 | 50 | 75 | 100;
export type ShutterRanges = 'R1' | 'R2' | 'R3' | 'R4';
export type ShutterQuickActionsValue = 'OPEN' | 'CLOSE';
export type ShutterOngoingAction = ShutterAction | null;

export type SlatsAction = 'UP' | 'DOWN' | 'STOP';
export type SlatsFixedValue = 0 | 25 | 50 | 75 | 100;
export type SlatsRanges = 'R1' | 'R2' | 'R3' | 'R4';

export interface ShutterControlPanelModel {
  title?: string;
  widgetName?: string;
  widgetStateInfoOptions?: ShutterInfoTextOptionsModel;
  loadingInfoTextOptions?: ShutterLoadingInfoTextModel;
  value?: number;
  ongoingAction?: ShutterOngoingAction;
  onClick?: (value: ShutterControlPanelValue) => void;
  loading?: boolean;
}

export interface SlatsControlPanelModel {
  title?: string;
  value?: number;
  onClick?: (value: ShutterControlPanelValue) => void;
  loading?: boolean;
}

export interface ShutterInfoTextOptionsModel {
  open?: string;
  closed?: string;
}

export interface ShutterButtonModel {
  Icon?: ElementType<SvgProps>;
  text?: string;
  onClick?: () => void;
  loading?: boolean;
  disabled?: boolean;
}

export interface ShutterQuickActionsModel {
  title?: string;
  buttonOneText?: string;
  buttonTwoText?: string;
  value?: number;
  onClick?: (value: ShutterQuickActionsValue) => void;
  loading?: boolean;
}

